<?php

// JavaScriptファイルの登録
function my_script() {
  wp_enqueue_script(
    'myscript',
    get_template_directory_uri() . '/script.js',
    array(),
    false,
    true
  );
}
add_action( 'wp_enqueue_scripts', 'my_script' );

// アイキャッチ画像を有効にする
add_theme_support('post-thumbnails');

// archive.phpの設定
function post_has_archive($args, $post_type)
{
    if ('post' == $post_type) {
        $args['rewrite'] = true; // リライトを有効にする
        $args['has_archive'] = 'posts'; // 任意のスラッグ名
    }
    return $args;
}
add_filter('register_post_type_args', 'post_has_archive', 10, 2);

// タイトルタグの自動出力
add_theme_support( 'title-tag' );
function wp_document_title_separator ( $title ) {
  if ( is_home() || is_front_page() ) {
    unset( $title['tagline'] );// ディスクリプションを出力しない
  }
  return $title;
}
add_filter( 'document_title_parts', 'wp_document_title_separator', 10, 1 );

// ウィジェットの登録
register_sidebar( array(
    'name' => 'サイドバー'
    ));

  // メニューの設定
  add_theme_support('menus');
  register_nav_menus( array(
      'main' => 'メインメニュー',
  ));


// 抜粋から個別投稿へのリンクの設置
  function new_excerpt_more($more){
      global $post;
      return '<span class="readMore"><a href="'. get_permalink($post->ID) . '">...全文を表示</a></span>';
  }
  add_filter('excerpt_more','new_excerpt_more',9999);

