'use strict';


// ローディング画面の設定
function loaded () {
    document.getElementById('loading').classList.remove('active');
}

window.addEventListener('load', () => {
    setTimeout(loaded, 500);
});

setTimeout(loaded,2500);


// id「burger」を定数化
const burger = document.getElementById('burger');
// class「wrapper」を定数化
const wrapper = document.querySelector('.wrapper');
// ID「menutext」を定数化
const menuText = document.getElementById('menuText')

const menuArea = document.querySelector('header  > div > .menu')

console.log(menuArea);

// ハンバーガーメニューをクリックすると
burger.addEventListener('click', () => {
    // burgerにクラスactiveを付け外す（ハンバーガーメニューの見た目が変更される）
    burger.classList.toggle('active');
    // スマホ時、wrapperを上に移動してあらかじめ隠しておき、activeの付けはずしでメニューの出し入れをする
    menuArea.classList.toggle('active');
    // もし、menuTextがmenuだったら、closeに書き換え
    if(menuText.textContent === 'menu') {
        // closeだったらmenuに書き換える
        menuText.textContent = 'close';
    } else {
        menuText.textContent = 'menu';
    }
});

// サブメニューの設定
// 子要素を持つ（.menu-item-has-children）親メニューを定数化
const hasChild = document.querySelectorAll('header .menu > .menu-item-has-children');
// hacChildの個数分処理するためfor文で回す
for (let i = 0; i < hasChild.length; i++ ) {
    // 子要素を持つメニューにdivタグを作り
    const divElement = document.createElement('div');
    // 「▼」を書き込む
    divElement.innerHTML = `&#9660;`;
    hasChild[i].appendChild(divElement);
    // divタグをボタンにする
    const btn = document.querySelectorAll('header .menu > .menu-item-has-children > div');
    // サブメニューのクラスを全取得
    const submenu = document.querySelectorAll('header .menu > .menu-item-has-children > .sub-menu');
    // ボタン（div）をクリックすると、サブメニューにクラス「active」を付与
    btn[i].addEventListener('click', () => {
        submenu[i].classList.toggle('active');
        // もしdiv内のテキストが「▼」のときにクリックすると、「▲」を書き込む
        if(btn[i].innerHTML === `▼`) {
            btn[i].innerHTML = `&#9650;	`;
        // そうでないときは、「▼」を書き込む
        } else {
            btn[i].innerHTML =`&#9660;`;
        }
    });
}